export default {
  path: "platform",
  component: () => import("@/views/platformSection/index.vue"),
  name: "platform",
  meta: {
    keepAlive: true,
    isAuth: true,
    title: "平台管控"
  },
  redirect: {
    path: "/platform/home"
  },
  children: [
    {
      path: "home",
      component: () => import("@/views/platformSection/home/index.vue"),
      name: "home",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-首页"
      }
    },
    {
      path: "personal",
      component: () => import("@/views/personal/personal.vue"),
      name: "personal",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-个人信息"
      }
    },
    {
      path: "regionManage",
      component: () =>
        import("@/views/platformSection/regionManage/regionManage.vue"),
      name: "regionManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-区域管理-区域管理"
      }
    },
    {
      path: "adminManage",
      component: () =>
        import("@/views/platformSection/regionManage/adminManage.vue"),
      name: "adminManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-区域管理-管理员"
      }
    },
    {
      path: "whitelistLibrary",
      component: () =>
        import("@/views/platformSection/networkManage/whitelistLibrary.vue"),
      name: "whitelistLibrary",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-网络管理-白名单库"
      }
    },
    {
      path: "deviceManageImport",
      component: () =>
        import(
          "@/views/platformSection/deviceManage/deviceManageImport/deviceManageImport.vue"
        ),
      name: "deviceManageImport",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-设备管理-设备导出"
      }
    },
    {
      path: "deviceManageExport",
      component: () =>
        import(
          "@/views/platformSection/deviceManage/deviceManageExport/deviceManageExport.vue"
        ),
      name: "deviceManageExport",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-设备管理-设备导出"
      }
    },
    {
      path: "deviceManagePwd",
      component: () =>
        import(
          "@/views/platformSection/deviceManage/deviceManagePwd/deviceManagePwd.vue"
        ),
      name: "deviceManagePwd",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-设备管理-设备密码"
      }
    },
    {
      path: "adminLog",
      component: () => import("@/views/platformSection/log/admin.vue"),
      name: "adminLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-日志-管理员日志"
      }
    },
    {
      path: "logDeviceExport",
      component: () =>
        import("@/views/platformSection/log/logDeviceExport.vue"),
      name: "logDeviceExport",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-日志-设备导出"
      }
    },
    {
      path: "notice",
      component: () => import("@/views/platformSection/notice/notice.vue"),
      name: "notice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "平台管控-公告"
      }
    }
  ]
};
